package sae.android.sae_2a.view

import androidx.annotation.StringRes
import sae.android.sae_2a.R

sealed class Screen(val route: String, @StringRes val resourceId: Int) {
    object Profile : Screen("profile", R.string.profilePicture)
    object Home : Screen("HomeScreen", R.string.home)
    object VocabularyList : Screen("VocabularyListScreen", R.string.voc_image_description)
    object Game : Screen("GameScreen", R.string.game)
    object Register : Screen("RegisterScreen", R.string.register)




}